% FEEC/Unicamp
% 28/05/2017
% Auxiliary functions
% calch.m
%
function [ddy] = ddfactiv(z,c)
P = length(c);
fi = (pi^(-0.25))*exp(-0.5*(z.^2));
for p=0:P,
	H = calch(z,p);
	h(:,p+1) = (1/sqrt(factorial(p)*(2^p)))*H.*fi;
end
for p=1:P,
	if p == 1,
		h2l(:,p) = -2*sqrt(2*p)*z.*h(:,p)+(z.^2-1).*h(:,p+1);
	else
		h2l(:,p) = 2*sqrt(p*(p-1))*h(:,p-1)-2*sqrt(2*p)*z.*h(:,p)+(z.^2-1).*h(:,p+1);
	end
end
ddy = h2l*c';
