% FEEC/Unicamp
% 28/05/2017
% Auxiliary functions
% calch.m
%
function [ccalc] = calcc(z,y,P)
N = length(z);
if N < P,
	error('No. of patterns < order of the Hermite polynomials');
end
fi = (pi^(-0.25))*exp(-0.5*(z.^2));
for p=1:P,
	H = calch(z,p);
	h(:,p) = (1/sqrt(factorial(p)*(2^p)))*H.*fi;
end
counter = 0;
col = [];
while rcond(h'*h) < 1e-15,
	scoreboard = zeros(P-counter,1);
	for i=1:(P-counter),
		h1 = [h(:,1:(i-1)) h(:,(i+1):(P-counter))];
		scoreboard(i,1) = rcond(h1'*h1);
	end
	[eval,i] = max(scoreboard);
	h = [h(:,1:(i-1)) h(:,(i+1):(P-counter))];
	aux = 0;
	for j=1:length(col),
		if (i+aux) >= col(j),
			aux = aux+1;
		end
	end
	col = [col;i+aux];
	col = sort(col);
	counter = counter+1;
end
c(1,:) = ((h'*h)\h'*y)';
counter1 = 0;
for i=1:P,
	det = 0;
	for j=1:counter,
		if i == col(j),
			ccalc(1,i) = 0;
			det = 1;
			counter1 = counter1+1;
		end
	end
	if det == 0,
		ccalc(1,i) = c(i-counter1);
	end
end
